Bug 971466 - [FEAT/RFE] Implement LDAP/Kerberos based authentication in gluster-swift via swiftkerbauth
Summary: [FEAT/RFE] Implement LDAP/Kerberos based authentication in gluster-swift via ...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-swift   
(Show other bugs)
Version: 3.0
Hardware: Unspecified Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Thiago da Silva
QA Contact: SATHEESARAN
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 15:16 UTC by Tushar Katarki
Modified: 2016-02-17 09:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 09:47:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tushar Katarki 2013-06-06 15:16:01 UTC
Description of problem:

The module for authentication via Apache mod_auth_kerb needs to be included in RHS gluster-swift.

Comment 2 Luis Pabón 2013-07-12 18:55:01 UTC
The project https://forge.gluster.org/swiftkerbauth will be included in RHS2.1 but not in the gluster-swift RPMs.  A new repo will be created to support those sources both in code.engineering.redhat.com and it will also be its own rpm.

Comment 3 Luis Pabón 2013-10-22 02:36:10 UTC
This is a feature tracking bug for swiftkerbauth.

Comment 4 crisbud@redhat.com 2013-11-18 09:56:40 UTC
After modularization of swift_auth script and couple of other bug fixes, Luis can import the swiftkerbauth to RHS.

Comment 5 crisbud@redhat.com 2014-02-06 05:23:08 UTC
http://review.gluster.org/#/c/6597/

http://review.gluster.org/#/c/6764/

Are merged to master (icehouse) gluster-swift

Comment 6 crisbud@redhat.com 2014-02-07 06:32:31 UTC
This is the swiftkerbauth authentication related tracking bug.

Comment 7 crisbud@redhat.com 2014-03-25 08:17:09 UTC
Just realized that this is a downstream bug. And the changes has not yet gone downstream. Will decide on how to make it count upstream and update that one accordingly. changing it back to assigned for now.

Comment 8 Vivek Agarwal 2014-04-07 11:41:15 UTC
Per bug triage, between dev, PM and QA, moving these out of denali

Comment 10 Nagaprasad Sathyanarayana 2014-05-06 10:35:03 UTC
BZs not targeted for Denali.

Comment 15 Prashanth Pai 2016-02-17 09:47:45 UTC
swiftkerbauth project is defunct and not maintained anymore. LDAP/Kerberos integration can be done via keystone.


Note You need to log in before you can comment on or make changes to this bug.